Skip to main content
`Ctrl`+`K`

# PetscPartitionerShellGetRandom

get the flag to use a random partition

## Synopsis

    #include "petscpartitioner.h"
    PetscErrorCode PetscPartitionerShellGetRandom(PetscPartitioner part, PetscBool *random)

Collective

## Input Parameter

- part - The `PetscPartitioner`

## Output Parameter

- random - The flag to use a random partition

## See Also

`PetscPartitionerShellSetRandom()`, `PetscPartitionerCreate()`

## Level

intermediate

## Location

src/dm/partitioner/impls/shell/partshell.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages